
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_product_outstock_detail")]
    public class WmsProductOutstockDetail
    {

        [Key]
        [Column("product_outstock_detail_id")]
        public long productOutstockDetailId { get; set; }

        /// <summary>
        /// 成品出库记录ID
        /// </summary>
        [Column("product_outstock_id")]
        public long productOutstockId { get; set; }

        /// <summary>
        /// 仓库ID
        /// </summary>
        [Column("warehouse_id")]
        public long warehouseId { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [Column("location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 成品条码
        /// </summary>
        [Column("product_barcode")]
        public string productBarcode { get; set; }

        /// <summary>
        /// 成品批次
        /// </summary>
        [Column("product_batch")]
        public string productBatch { get; set; }

        /// <summary>
        /// 成品ID
        /// </summary>
        [Column("product_id")]
        public long? productId { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [Column("plan_amount")]
        public decimal? planAmount { get; set; }

        /// <summary>
        /// 出库数量
        /// </summary>
        [Column("outstock_amount")]
        public decimal? outstockAmount { get; set; }

        /// <summary>
        /// 确认数量
        /// </summary>
        [Column("confirm_amount")]
        public decimal? confirmAmount { get; set; }

        /// <summary>
        /// 执行状态(0待执行,1执行中,2执行完成)
        /// </summary>
        [Column("execute_status")]
        public string executeStatus { get; set; }

        /// <summary>
        /// 同步ERP状态(0:失败,1成功)
        /// </summary>
        [Column("erp_status")]
        public string erpStatus { get; set; }

        /// <summary>
        /// 同步给ERP的数量
        /// </summary>
        [Column("erp_amount")]
        public decimal? erpAmount { get; set; }

        /// <summary>
        /// 最后更新人
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [Column("update_date")]
        public DateTime? updateDate { get; set; }

        /// <summary>
        /// 执行开始时间
        /// </summary>
        [Column("begin_time")]
        public DateTime? beginTime { get; set; }

        /// <summary>
        /// 执行结束时间
        /// </summary>
        [Column("end_time")]
        public DateTime? endTime { get; set; }
    }
}

